Resolve Depot Components

Resolve Depot Components

Resolve component versions to binary urls given a Fleet Depot endpoint and a list of components with their versions

Request
URI
POST
https://vcf.broadcom.com/sddc-lcm/v1/depot/components
COPY
Request Body
DepotComponentsSpec of type(s) application/json
Optional

Show optional properties

{
    "componentVersions": [
        {
            "component": "component",
            "version": "version"
        },
        {
            "component": "component",
            "version": "version"
        }
    ],
    "fleetDepotSpec": {
        "fqdn": "fqdn",
        "certificate": "certificate"
    }
}
{
    "fleetDepotSpec": {
        "fqdn": "fqdn",
        "certificate": "certificate"
    },
    "version": "string",
    "componentVersions": [
        {
            "component": "component",
            "version": "version"
        }
    ]
}
object
fleetDepotSpec
Required

fleetDepotSpec

string
version
Optional

version

array of object
componentVersions
Required

componentVersions

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns ResolvedComponentVersions of type(s) application/json
{
    "componentVersions": [
        {
            "component": "component",
            "version": "version",
            "binaryUrl": "binaryUrl"
        },
        {
            "component": "component",
            "version": "version",
            "binaryUrl": "binaryUrl"
        }
    ]
}
array of object
componentVersions
Optional

componentVersions


400

Bad request. Invalid input specification.

Returns ErrorResponse of type(s) application/json
{
    "code": "code",
    "detail": "detail",
    "message": {
        "args": {
            "cloudProxyFqdn": "cloudProxy1.vsphere.local"
        },
        "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
    },
    "resolution": {
        "args": {
            "cloudProxyFqdn": "cloudProxy1.vsphere.local"
        },
        "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
    },
    "referenceId": "referenceId",
    "timestamp": "2000-01-23T04:56:07.000Z"
}
string
code
Required

Unique error code for programmatic identification.

object
message
Required

message

object
resolution
Required

resolution

string
referenceId
Required

An identifier for tracing the error in the logs.

string As date-time As date-time
timestamp
Required

The date and time when the error occurred.

string
detail
Optional

Freeform extra information, such as raw error payloads or additional context.


401

Unauthorized

Returns ErrorResponse of type(s) application/json
{
    "code": "code",
    "detail": "detail",
    "message": {
        "args": {
            "cloudProxyFqdn": "cloudProxy1.vsphere.local"
        },
        "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
    },
    "resolution": {
        "args": {
            "cloudProxyFqdn": "cloudProxy1.vsphere.local"
        },
        "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
    },
    "referenceId": "referenceId",
    "timestamp": "2000-01-23T04:56:07.000Z"
}
string
code
Required

Unique error code for programmatic identification.

object
message
Required

message

object
resolution
Required

resolution

string
referenceId
Required

An identifier for tracing the error in the logs.

string As date-time As date-time
timestamp
Required

The date and time when the error occurred.

string
detail
Optional

Freeform extra information, such as raw error payloads or additional context.


500

Internal server error

Returns ErrorResponse of type(s) application/json
"ErrorResponse Object"
string
code
Required

Unique error code for programmatic identification.

object
message
Required

message

object
resolution
Required

resolution

string
referenceId
Required

An identifier for tracing the error in the logs.

string As date-time As date-time
timestamp
Required

The date and time when the error occurred.

string
detail
Optional

Freeform extra information, such as raw error payloads or additional context.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"componentVersions":["object"],"fleetDepotSpec":"object"}' https://{api_host}/sddc-lcm/v1/depot/components